Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface CodedMetadataType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CodedMetadataTypeImpl

    public interface CodedMetadataType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Coded Metadata Type'.

The following features are supported:

- `Code`
- `Display Name`
- `Scheme Name`
- `Scheme UUID`

See Also:
  `MetadataPackage.getCodedMetadataType()`

Method Summary
`java.lang.String` | `getCode()` Returns the value of the 'Code' attribute.
`InternationalStringType` | `getDisplayName()` Returns the value of the 'Display Name' containment reference.
`java.lang.String` | `getSchemeName()` Returns the value of the 'Scheme Name' attribute.
`java.lang.String` | `getSchemeUUID()` Returns the value of the 'Scheme UUID' attribute.
`void` | `setCode(java.lang.String value)` Sets the value of the '`Code`' attribute.
`void` | `setDisplayName(InternationalStringType value)` Sets the value of the '`Display Name`' containment reference.
`void` | `setSchemeName(java.lang.String value)` Sets the value of the '`Scheme Name`' attribute.
`void` | `setSchemeUUID(java.lang.String value)` Sets the value of the '`Scheme UUID`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCode

    java.lang.String getCode()

  Returns the value of the 'Code' attribute.

  If the meaning of the 'Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' attribute.
  See Also:
    `setCode(String)`, `MetadataPackage.getCodedMetadataType_Code()`

### setCode

    void setCode(java.lang.String value)

  Sets the value of the '`Code`' attribute.

  Parameters:
    `value` - the new value of the 'Code' attribute.
  See Also:
    `getCode()`

### getDisplayName

    InternationalStringType getDisplayName()

  Returns the value of the 'Display Name' containment reference.

  If the meaning of the 'Display Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference.
  See Also:
    `setDisplayName(InternationalStringType)`, `MetadataPackage.getCodedMetadataType_DisplayName()`

### setDisplayName

    void setDisplayName(InternationalStringType value)

  Sets the value of the '`Display Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Display Name' containment reference.
  See Also:
    `getDisplayName()`

### getSchemeName

    java.lang.String getSchemeName()

  Returns the value of the 'Scheme Name' attribute.

  If the meaning of the 'Scheme Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scheme Name' attribute.
  See Also:
    `setSchemeName(String)`, `MetadataPackage.getCodedMetadataType_SchemeName()`

### setSchemeName

    void setSchemeName(java.lang.String value)

  Sets the value of the '`Scheme Name`' attribute.

  Parameters:
    `value` - the new value of the 'Scheme Name' attribute.
  See Also:
    `getSchemeName()`

### getSchemeUUID

    java.lang.String getSchemeUUID()

  Returns the value of the 'Scheme UUID' attribute.

  If the meaning of the 'Scheme UUID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scheme UUID' attribute.
  See Also:
    `setSchemeUUID(String)`, `MetadataPackage.getCodedMetadataType_SchemeUUID()`

### setSchemeUUID

    void setSchemeUUID(java.lang.String value)

  Sets the value of the '`Scheme UUID`' attribute.

  Parameters:
    `value` - the new value of the 'Scheme UUID' attribute.
  See Also:
    `getSchemeUUID()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD